Lavalite package that provides developers management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/developers`.

    "bixo/developers": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Developers\Providers\DevelopersServiceProvider::class,

And also add it to alias

    'Developers'  => Bixo\Developers\Facades\Developers::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\DevelopersTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Developers\Providers\DevelopersServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Developers\Providers\DevelopersServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Developers\Providers\DevelopersServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/developers/{modulename}

**User**

    http://path-to-route-folder/user/developers/{modulename}

**Public**

    http://path-to-route-folder/developers


### API endpoints

**List**

    http://path-to-route-folder/api/user/developers/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/developers/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/developers/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/developers/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/developers/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/developers/{modulename}/{slug}
    METHOD: GET