<?php

// web routes  for developers
Route::prefix('{guard}/developers')->group(function () {
    Route::resource('developers', 'DevelopersResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'DevelopersResourceController');
            });
            // Public routes for pages
            Route::get('developers/', 'DevelopersPublicController@index');
            Route::get('developers/{slug?}', 'DevelopersPublicController@show');
        }
    );
}

