<?php

namespace Bixo\Developers\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DevelopersTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Developers\Models\Developers $developers)
    {
        return [
            'id'                => $developers->getRouteKey(),
            'key'               => [
                'public'    => $developers->getPublicKey(),
                'route'     => $developers->getRouteKey(),
            ], 
            'name'              => $developers->name,
            'user_id'           => $developers->user_id,
            'user_type'         => $developers->user_type,
            'deleted_at'        => $developers->deleted_at,
            'url'               => [
                'public'    => trans_url('developers/'.$developers->getPublicKey()),
                'user'      => guard_url('developers/developers/'.$developers->getRouteKey()),
            ], 
            'status'            => trans('app.'.$developers->status),
            'created_at'        => format_date($developers->created_at),
            'updated_at'        => format_date($developers->updated_at),
        ];
    }
}